#include<bits/stdc++.h>
using namespace std;
int main()
{
  ios_base::sync_with_stdio(false);
  cin.tie(NULL);
  cout.tie(NULL);
  int n;
  cin >> n;
  int prea;
  double preb;
  double s;
  double s1,s2;
  for (int i=0; i<n; i++)
  {
    int a;
    double b;
    cin >> a >> b;
    if (i==0) 
    {
      prea=a;
      preb=b;
      continue;
    }
    else 
    {
      if (b<preb) 
      {
        s1=b/100*(a+prea);
        s2=preb/100*prea;
        if (s1>=s2) {
          s=s1;
          prea=a+prea;
          preb=b;
        }
        else {
          s=s2;
        }
      }
      else
      {
        s1=preb/100*(a+prea);
        s2=b/100*a;
        if (s1>=s2) {
          s=s1;
          prea=a+prea;
        }
        else {
          s=s2;
          prea=a;
          preb=b;
        }
      }
    }
  }
  cout << fixed << showpoint << setprecision(4) << s;
  return 0;
}